=== debian/changelog ===
ros-indigo-denso-controller (1.1.8-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Mar 2017 15:00:00 -0000

ros-indigo-denso-controller (1.1.7-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 22 Aug 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Jun 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 04 Apr 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 07 Feb 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.3-0trusty) trusty; urgency=high

  * call ROS_FATAL before exitting
  * do not print server:,,, udp_timeout:... for dryrun mode
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 03 Feb 2016 15:00:00 -0000

ros-indigo-denso-controller (1.1.2-0trusty) trusty; urgency=high

  * use newer api function
  * set velocity correctly
  * add functions for finalizing things, update recovery procedures
  * replace sleep with boost::this_thread::sleep
  * add function to reflect real robot state into controller manager
  * add emergency_stop variable
  * separate a procedure to fill buffer and re-use it
  * Contributors: Shohei Fujii

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 20 Dec 2015 15:00:00 -0000

ros-indigo-denso-controller (1.1.1-0trusty) trusty; urgency=high

  * [fix] Always run in a dryrun mode (fix #62 <https://github.com/start-jsk/denso/issues/62>)
  * Contributors: Shohei Fujii

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 15:00:00 -0000

ros-indigo-denso-controller (1.1.0-0trusty) trusty; urgency=high

  * Fix stability issues by @ompugao
    
      * use macro inside recoverController basically
      * clear error before turn on motor
      * update recovery procedure
      * swept fprintf
      * check bcap status before sending jointvalues
        Question: is it possible to ensure a realtime loop in this way?
      * update recovery procedure
      * add debugging message
      * not to exit inside bcap initialization functions
      * add GetMode function, update recovery procedure
      * add a boilerplait for recovering controller
      * add utf message library
      * fix udp things
      * remove forgotten static variables
      * do not exit inside slvmove
      * minor outputmessage updates
      * add errorcode/errormessage handlers
      * add BCAP_VARIANT alignment fix
      * get rid of static variables
      * add deconstructor
      * get rid of fprintf
      * follow standard c++ style class member naming in DensoController
      * follow standard c++ style class member naming
      * errorp is not set anywhere
      * fix initialization procedure, and fix some output messages
      * do not divide first
      * fix typo
      * remove ros::shutdown, it's called in quitRequest
      * remove useless send command
      * oops, we cannot send clearerror in slave mode
      * use initializeCM
      * remove unused member variables
      * remove ugly 'need_exit'
      * fix error_code redeclaration
      * move intialization procedure to intialize function
      * remove useless lines
      * do not allocate vector everytime get current joint vlaues
      * comment out stoplog
      * change errorlog output
      * minor bugfix
      * treat b-Cap.c as cxx source file
      * fix allocation, fix debug message
      * disable send/recv time output
    
  * Contributors: Shohei Fujii

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Oct 2015 15:00:00 -0000

ros-indigo-denso-controller (1.0.0-0trusty) trusty; urgency=high

  * update to indigo

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Oct 2015 15:00:00 -0000

ros-indigo-denso-controller (0.2.9-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Mar 2015 15:00:00 -0000

ros-indigo-denso-controller (0.2.8-0trusty) trusty; urgency=high

  * (denso_controller) Corrected copyright
  * Comfort to ROS Cpp style guide. Start adding comments (sorry two different types of commits mixed up here...editor did it and I can't revert it)
  * Contributors: Isaac IY Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 29 Jul 2014 15:00:00 -0000

ros-indigo-denso-controller (0.2.7-0trusty) trusty; urgency=high

  * Rename repository (Fix https://github.com/start-jsk/denso/issues/13, https://github.com/start-jsk/denso/issues/14)
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Jan 2014 15:00:00 -0000

ros-indigo-denso-controller (0.2.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 10 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 05 Dec 2013 15:00:00 -0000

ros-indigo-denso-controller (0.2.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 05 Dec 2013 15:00:00 -0000
