=== debian/control ===
Source: ros-indigo-denso-controller
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-open-controllers-interface, ros-indigo-roscpp
Homepage: http://wiki.ros.org/denso_controller
Standards-Version: 3.9.2

Package: ros-indigo-denso-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-open-controllers-interface, ros-indigo-roscpp
Description: This packages a common controller functionality for Denso's industrial manipulators based on ORiN (Open Robot interface for the Network), a unified network interface for industrial robot applications.
